Subject: Re: [TLS] draft-mrex-tls-secure-renegotiation-00.txt submitted

From: David-Sarah Hopwood <[email-masked]>
Date: Wed, 25 Nov 2009 04:16:44 +0000

Martin Rex wrote:
> David-Sarah Hopwood wrote:
>>> I hope those firewalls cannot read our encrypted renegotiation taking
>>> place to filter it.
>>
>> They can detect a renegotiation because the handshake message types
>> are not encrypted.
> 
> ContentTypes are visible in the cleartext part of the record protocol.
> 
> Handshake message types (HandshakeType, RFC5246 7.4) are not.

I stand corrected. I should have said that Firewalls, etc. can detect
a renegotiation because ContentTypes are not encrypted.

-- 
David-Sarah Hopwood  ⚥  http://davidsarah.livejournal.com